Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class Annotations

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.Annotations

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  RuntimeInvisibleAnnotations, RuntimeVisibleAnnotations

    public abstract class Annotations

extends Attribute

base class for annotations

Since:
  5.3
Version:
  $Id: Annotations
Author:
  D. Brosius
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`Annotations(byte annotation_type, int name_index, int length, AnnotationEntry[] annotation_table, ConstantPool constant_pool)`
`Annotations(byte annotation_type, int name_index, int length, DataInputStream file, ConstantPool constant_pool)`

Method Summary
`AnnotationEntry[]` | `getAnnotationEntries()` returns the array of annotation entries in this annotation
`void` | `setAnnotationTable(AnnotationEntry[] annotation_table)`
`protected void` | `writeAnnotations(DataOutputStream dos)`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, copy, dump, getName, getTag, readAttribute, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Annotations

    public Annotations(byte annotation_type,
                       int name_index,
                       int length,
                       DataInputStream file,
                       ConstantPool constant_pool)
                throws IOException

Parameters:
  `annotation_type` - the subclass type of the annotation
  `name_index` - Index pointing to the name Code
  `length` - Content length in bytes
  `file` - Input stream
  `constant_pool` - Array of constants
Throws:
  `IOException`

### Annotations

    public Annotations(byte annotation_type,
                       int name_index,
                       int length,
                       AnnotationEntry[] annotation_table,
                       ConstantPool constant_pool)

Parameters:
  `annotation_type` - the subclass type of the annotation
  `name_index` - Index pointing to the name Code
  `length` - Content length in bytes
  `annotation_table` - the actual annotations
  `constant_pool` - Array of constants

Method Detail

### setAnnotationTable

    public final void setAnnotationTable(AnnotationEntry[] annotation_table)

  Parameters:
    `annotation_table` - the entries to set in this annotation

### getAnnotationEntries

    public AnnotationEntry[] getAnnotationEntries()

  returns the array of annotation entries in this annotation

### writeAnnotations

    protected void writeAnnotations(DataOutputStream dos)
                             throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.